﻿@{
    ViewBag.Title = "Timewise Student List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            tick();
            $("#TimeCode").css('width', '80px');

            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();
                var timecode = $("#TimeCode").val();
                var course = $("#Course").val();
                var format = $("#format").val();
                var a = document.createElement('a');
                a.href = '/Reports/GroupTiming?&timecode=' + timecode +"&course="+course+ '&format=' + format;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();
            });
        });


        function tick() {
            $.getJSON("/Reports/updateColumn", { va:false },
  function (modelData) {
  });
        }
    </script>
    <script>
        $("#TimeCode").change(function () {
            var idd = $("#TimeCode").val();
            if (idd=="" || idd=="All") {
                $.getJSON("/Reports/updateColumn", { va:true },
 function (modelData) {
 });
            }
            else {
                tick();
                $.getJSON("/Reports/UpdateReportStatus", { id: idd, hdnStatus: "true" },
    function (modelData) {
        var value = modelData;
    });
            }
           
        })
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Timewise Student List
    </h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table width="100%">
    <tr>
        <td>
            <table>
                <tr>
                    @*  <td>
                            From Date <span style="color: Red">(*)</span>
                        </td>
                        <td>
                            To Date <span style="color: Red">(*)</span>
                        </td>*@
                    @* <td>
                            Time Code
                        </td>*@
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    @* <td>
                            <input type="date" id="txtfdate" />
                        </td>
                        <td>
                            <input type="date" id="txtdate" />
                        </td>*@
                    <td>
                        @Html.DropDownList("TimeCode","All")
                    </td>
                    <td>
                        @Html.DropDownList("Course", "All")
                    </td>
                    <td>
                        <select id="format">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td valign="top">
                        <input type="button" value="Show Report" class="btn btn-primary" id="btnShowReport" />
                    </td>
                    <td valign="top">
                        <a class="btn btn-primary" target="_blank" href="/Reports/GetReprtbyTime">Get Report By time </a>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td></td>
    </tr>
</table>
